Bug 614967 - (perl-Git-PurePerl) Review Request: perl-Git-PurePerl - Pure Perl interface to Git repositories
Review Request: perl-Git-PurePerl - Pure Perl interface to Git repositories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Git-PureP...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 12:25 EDT by Iain Arnell
Modified: 2010-08-06 17:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Git-PurePerl-0.46-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 17:05:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-15 12:25:19 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Git-PurePerl.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Git-PurePerl-0.46-1.fc14.src.rpm

Description:
This module is a Pure Perl interface to Git repositories.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2322199

*rt-0.10_01
Comment 1 manuel wolfshant 2010-07-17 17:31:35 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/noarch
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 58f4df07daec0869bd01ec07f44a3d21c7b38855  Git-PurePerl-0.46.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

=== OPTIONAL ITEMS ===
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package has a %clean section, which contains rm -rf or $RPM_BUILD_ROOT.



=== Final Notes ===
I assume that you do not intend to branch this package for EPEL, therefore you could remove from the spec the optional items from above. OTOH you'd do a favor to anyone wishing to build this package for EPEL if you leave them...

================
*** APPROVED ***
================
Comment 2 Iain Arnell 2010-07-17 17:41:20 EDT
New Package CVS Request
=======================
Package Name: perl-Git-PurePerl
Short Description: Pure Perl interface to Git repositories
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-07-19 00:45:53 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Iain Arnell 2010-07-19 11:03:43 EDT
Imported in rawhide with a modernized spec - waiting for perl-Data-Stream-Bulk-0.07-1.fc13 to go stable before it hits the branch.
Comment 5 Fedora Update System 2010-07-26 23:47:00 EDT
perl-Git-PurePerl-0.46-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Git-PurePerl-0.46-2.fc13
Comment 6 Fedora Update System 2010-07-30 04:44:36 EDT
perl-Git-PurePerl-0.46-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Git-PurePerl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Git-PurePerl-0.46-2.fc13
Comment 7 Fedora Update System 2010-08-06 17:05:18 EDT
perl-Git-PurePerl-0.46-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.